Language Selection

English French German Italian Portuguese Spanish

Trojita 0.4.1, a security update for CVE-2014-2567 / Announcing Geary 0.6.0

Filed under
GNU
KDE
Linux
GNOME

An SSL stripping vulnerability was discovered in Trojitá, a fast Qt IMAP e-mail client. User's credentials are never leaked, but if a user tries to send an e-mail, the automatic saving into the "sent" or "draft" folders could happen over a plaintext connection even if the user's preferences specify STARTTLS as a requirement.

Read more ►

On the GNOME side:

We at Yorba are pleased to announce the release of Geary 0.6.0, a new stable version of our IMAP mail client. Much has changed since our last stable release.

Read more ►

More in Tux Machines

Android Leftovers

The Licensing and Compliance Lab interviews AJ Jordon of gplenforced.org

So basically Bradley Kuhn gave a talk at FOSDEM '17 about GPL enforcement and I was like, wow, it sucks how many companies and people think that enforcing the GPL is a bad idea. I mean, if you disagree with copyleft that's fine (though I personally would argue with that position), but then you should use a suitable license. Like MIT. The very idea that we shouldn't enforce the GPL just doesn't make sense to me because it suggests that the text of the license is watery and unimportant. I don't know about you, but when I say I want my programs to respect users' freedom, I mean it. So GPL enforcement is important. It seemed to me that there are probably a lot of developers out there who want to support GPL enforcement but don't have a good way to voice that support. gplenforced.org is essentially a quick and dirty hack I wrote to make that dead-simple. Read more

Red Hat General and Financial News

today's howtos